# RegionChooser

[RegionChooser](https://transfer.hft-stuttgart.de/gitlab/hft_gitlab/regionchooser){target=_blank} is a Java project. Its graphical interface allows to extract a specific region from [CityGML](https://www.ogc.org/standards/citygml){target=_blank} and save it as a smaller CityGML file.

![RegionChooserScreenshot](region_chooser_screenshot.png)

It uses:

* [Java 8](https://simstadt.hft-stuttgart.de/getting-started/install-software/#java-8){target=_blank}
* JavaFX
* [Openlayers](https://openlayers.org/){target=_blank}

RegionChooser was developed during [SimStadt & SimStadt II](https://www.hft-stuttgart.de/forschung/projekte/aktuell/simstadt-20){target=_blank}  projects.

## Installation

The easiest way to install RegionChooser is to [install SimStadt](https://simstadt.hft-stuttgart.de/getting-started/install-software/#simstadt){target=_blank}.

RegionChooser executables are packaged inside SimStadt.zip file.

## Usage

### Select a repository

You first need to run SimStadt in order to select a [repository](https://simstadt.hft-stuttgart.de/getting-started/repository-structure/#repository){target=_blank}. Once a repository is selected, SimStadt can be closed.

### Start RegionChooser

* `RegionChooser.bat` in Windows
* `./RegionChooser.sh` in Linux
* `./RegionChooser.command` in macOS

## Development

In order to compile, test and install RegionChooser into your local Maven repository:

```bash
git clone https://transfer.hft-stuttgart.de/gitlab/hft_gitlab/regionchooser.git
cd regionchooser
mvn clean install
```

The RegionChooser jar will then be available to SimStadt for packaging, when a SimStadt+RegionChooser bundle is created.

## Author

Eric Duminil, [HfT Stuttgart](https://www.hft-stuttgart.de/){target=_blank}

## Contributors

Matthias Betz, [HfT Stuttgart](https://www.hft-stuttgart.de/){target=_blank}

## License
[MIT](https://choosealicense.com/licenses/mit/){target=_blank}
